<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (isset($_GET['id'])) {
	$id = intval($_GET['id']);
		
	//===========================================
	//Database: Connect
	//===========================================
	require_once("../../inc/inc_config.php");
	require_once("../../inc/inc_database.php");
	
	$dblink = new database();
	$dblink->connect();
	//===========================================
	//TIMEZONE SETTING + DATABASE CHECK
	//===========================================
	$timezonerow = $dblink->get_row("SELECT timezone FROM memht_config") or die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Attention:</b> Cannot find database tables!</td></tr></table>");
	$siteConfig['timezone'] = intval($timezonerow['timezone']);
	$tzNOW = "DATE_ADD(NOW(),INTERVAL ".$siteConfig['timezone']." HOUR)";
	//====================
	require_once("../../inc/inc_login.php");
	require_once("../../inc/inc_functions.php");
	require_once("../../inc/inc_readConfig.php");
	require_once("../../inc/inc_getinfo.php");
	require_once("../../inc/inc_ban.php");
	
	?>
	<style type="text/css">
		body {
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-size:12px;
			color:#000;
		}
		a,
		a:visited,
		a:hover { color:#A6301C; }
	</style>
	<?php
	
	if ($row = $dblink->get_row("SELECT *,DATE_FORMAT(date, '".$siteConfig['timestamp']."') as date FROM memht_blog_posts WHERE id=$id AND enabled=1")) {
		$title = outCode($row['title']);
		$home_text = outCode($row['home_text']);
		$full_text = outCode($row['full_text']);
		$author = outCode($row['author']);
		$date = $row['date'];
		
		$row_conf = $dblink->get_row("SELECT * FROM memht_config");
		$sitename = outCode($row_conf['nome']);
		$siteurl = outCode($row_conf['site_url']);
		
		$content = ($full_text!="") ? "$home_text<br><br>$full_text" : "$home_text" ;
		
		echo "<div style='font-size:18px; color:#A6301C;'><b>$title</b></div>\n";
		echo "<div style='color:#AAA; font-size: 10px;'>$date - $author</div>\n";
		
		echo "<div style='margin:10px 0; border-left:4px solid #F7D2CC; padding:2px 6px;'>$content</div>\n";
		
		echo "<div style='color:#AAA; font-size:10px;'>";
			echo ($siteConfig['modrewrite']) ? $siteConfig['site_url']."/blog_view_{$id}_".mem_urlencode($title).".html" : $siteConfig['site_url']."/index.php?page=blog&id=&title=".mem_urlencode($title) ;
		echo "</div>\n";
		
		//--------------------
	} else {
		echo "Error: The selected post does not exist!";
	}
	//===========================================
	//Database: Disconnect
	//===========================================
	$dblink->disconnect();
} else {
	echo "Error: No post selected!";
}

?>